%define module	twodict

Name:		python-%{module}
Version:	1.2
Release:	%mkrel 11
Summary:	Simple two-way ordered dictionary for Python
License:	Public Domain
Group:		Development/Python
Url:		https://github.com/MrS0m30n3/twodict
Source0:	https://files.pythonhosted.org/packages/source/t/twodict/%{module}-%{version}.tar.gz
Patch0:         python-3.10.patch
BuildArch:      noarch

%description
TwoWayOrderedDict is a custom dictionary in which one can get the
key:value relationship but can also get the value:key relationship.
It also remembers the order in which the items were inserted and
supports almost all the features of the built-in dict.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Simple two-way ordered dictionary for Python 3
Group:		Development/Python
BuildArch:      noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
TwoWayOrderedDict is a custom dictionary in which one can get the
key:value relationship but can also get the value:key relationship.
It also remembers the order in which the items were inserted and
supports almost all the features of the built-in dict.

#------------------------------------------------

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files twodict

%check
%__python3 test_twodict.py

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.2-11.mga10
+ Revision: 2239251
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 1.2-10.mga10
+ Revision: 2156048
- rebuild for python3.13

* Sat Dec 16 2023 papoteur <papoteur> 1.2-9.mga10
+ Revision: 2018393
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.2-8.mga9
+ Revision: 1822798
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 tv <tv> 1.2-7.mga9
+ Revision: 1775486
- Patch 0: fix build with python 3.10
- Rebuild for python-3.10

* Sat Mar 20 2021 tv <tv> 1.2-6.mga9
+ Revision: 1705627
- rebuild for python-3.9.2

* Sun Feb 16 2020 umeabot <umeabot> 1.2-5.mga8
+ Revision: 1532127
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 1.2-4.mga8
+ Revision: 1441656
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 1.2-3.mga7
+ Revision: 1354520
- Rebuild for python3 3.7

* Fri Sep 21 2018 umeabot <umeabot> 1.2-2.mga7
+ Revision: 1290440
- Mageia 7 Mass Rebuild

* Sat Sep 02 2017 daviddavid <daviddavid> 1.2-1.mga7
+ Revision: 1150782
- initial package python-twodict

